Package ru.bitel.bgbilling.kernel.table.common.bean

# Class BGUTableParams

java.lang.Object
ru.bitel.bgbilling.kernel.table.common.bean.BGUTableParams

public class BGUTableParams extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGUTableParams()`
  `BGUTableParams(int contractId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGUTableParams`
  `addParam(String key, int value)`
  `BGUTableParams`
  `addParam(String key, String value)`
  `String`
  `get(String key)`
  `String`
  `get(String key, String defaultValue)`
  `int`
  `getContractId()`
  `int`
  `getModuleId()`
  `Page`
  `getPage()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getParams()`
  `Period`
  `getPeriod()`
  `String[]`
  `getSort()`
  `Optional<ru.bitel.bgbilling.common.model.KeyValue>`
  `optParam(String key)`
  `Optional<String>`
  `optParamValue(String key)`
  `BGUTableParams`
  `setContractId(int contractId)`
  `BGUTableParams`
  `setModuleId(int moduleId)`
  `BGUTableParams`
  `setPage(Page page)`
  `BGUTableParams`
  `setParams(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `BGUTableParams`
  `setPeriod(Period period)`
  `BGUTableParams`
  `setSort(String[] sort)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGUTableParams

    public BGUTableParams()

  - ### BGUTableParams

    public BGUTableParams(int contractId)

- ## Method Details

  - ### getSort

    public String[] getSort()

  - ### setSort

    public BGUTableParams setSort(String[] sort)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public BGUTableParams setModuleId(int moduleId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public BGUTableParams setContractId(int contractId)

  - ### getPage

    public Page getPage()

  - ### setPage

    public BGUTableParams setPage(Page page)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public BGUTableParams setPeriod(Period period)

  - ### getParams

    public List<ru.bitel.bgbilling.common.model.KeyValue> getParams()

  - ### setParams

    public BGUTableParams setParams(List<ru.bitel.bgbilling.common.model.KeyValue> params)

  - ### addParam

    public BGUTableParams addParam(String key, String value)

  - ### addParam

    public BGUTableParams addParam(String key, int value)

  - ### optParam

    public Optional<ru.bitel.bgbilling.common.model.KeyValue> optParam(String key)

  - ### optParamValue

    public Optional<String> optParamValue(String key)

  - ### get

    public String get(String key)

  - ### get

    public String get(String key, String defaultValue)